from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XJobManager(XInterface, Protocol):
    def registerJob(self, Job: XCancellable) -> None: ...
    def releaseJob(self, Job: XCancellable) -> None: ...
    def cancelAllJobs(self) -> None: ...
